# Xapian::DatabaseModifiedError Class Reference

DatabaseModifiedError indicates a database was modified. More...

Inheritance diagram for Xapian::DatabaseModifiedError:

[legend]

List of all members.

## Public Member Functions

| DatabaseModifiedError (const std::string &msg_, const std::string &context_="", int errno_=0)
| General purpose constructor which allows setting errno.
| DatabaseModifiedError (const std::string &msg_, int errno_)
| Construct from message and errno value.

## Detailed Description

DatabaseModifiedError indicates a database was modified.

To recover after catching this error, you need to call Xapian::Database::reopen() on the Database and repeat the operation which failed.

## Constructor & Destructor Documentation

Xapian::DatabaseModifiedError::DatabaseModifiedError | ( | const std::string & | msg_,
|  | const std::string & | context_ = `""`,
|  | int | errno_ = `0` |
| ) |  |  | `[inline, explicit]`

General purpose constructor which allows setting errno.

Xapian::DatabaseModifiedError::DatabaseModifiedError | ( | const std::string & | msg_,
|  | int | errno_ |
| ) |  |  | `[inline]`

Construct from message and errno value.

The documentation for this class was generated from the following file:

- xapian/error.h